File: dune

package info (click to toggle)
ppxlib 0.15.0-1
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, sid
  • size: 1,284 kB
  • sloc: ml: 17,184; sh: 149; makefile: 36; python: 36
file content (40 lines) | stat: -rw-r--r-- 1,119 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
(library
 (name ppxlib)
 (public_name ppxlib)
 (libraries
  ocaml-compiler-libs.common
  compiler-libs.common
  ocaml-compiler-libs.shadow
  ocaml-migrate-parsetree
  ppxlib_ast
  ppxlib_print_diff
  ppx_derivers
  ppxlib_traverse_builtins
  stdppx)
 (flags (:standard -open Ocaml_shadow -safe-string))
 (ppx.driver
  (main       Ppxlib.Driver.standalone)
  (replaces   ocaml-migrate-parsetree)
  (flags      (-corrected-suffix %{corrected-suffix} -diff-cmd - -dump-ast))
  (lint_flags (-corrected-suffix %{corrected-suffix} -diff-cmd - -null    ))))

(cinaps
 (files *.ml *.mli)
 (libraries ppxlib_cinaps_helpers))

(rule
 (targets ast_pattern_generated.ml)
 (deps    gen/gen_ast_pattern.exe)
 (action  (run ./gen/gen_ast_pattern.exe %{lib:ppxlib.ast:ast.ml})))

(rule
 (targets ast_builder_generated.ml)
 (deps gen/gen_ast_builder.exe)
 (action  (run ./gen/gen_ast_builder.exe %{lib:ppxlib.ast:ast.ml})))

;; This is to make the code compatible with different versions of
;; OCaml
(rule
 (targets compiler_specifics.ml)
 (deps    gen-compiler_specifics)
 (action  (run %{ocaml} %{deps} %{ocaml_version} %{targets})))